Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.ace.techservice.udpserver
Class AceMsgResponse

    java.lang.Object
      com.rsa.ace.techservice.udpserver.AbstractAceResponse
          com.rsa.ace.techservice.udpserver.AceMsgResponse

All Implemented Interfaces:
  AceResponse

    public class AceMsgResponse

extends AbstractAceResponse
implements AceResponse

This class represents an ACE MSG Response. (V1)

This class has values for can can construct a agent version one OK response packet.

Constructor Summary
`AceMsgResponse(AceDatagram packet, AceRequest request)`
`AceMsgResponse(AceRequest request, int suspKey, byte pinSize, byte prnSize, byte hiOrder, byte releaseCode)` Creates a new instance of an AceMsgResponse packet

Method Summary
`byte` | `getPinSize()`
`byte` | `getPrnSize()`
`void` | `processResponse()` Process a response packet by reading from the byte-buffer.
`java.lang.String` | `toString()` Convert the MsgResponse packet to a string.
`void` | `writeResponse(java.nio.ByteBuffer buf)` Write an AceMsgResponse to the internal stream.

Methods inherited from class com.rsa.ace.techservice.udpserver.AbstractAceResponse
`buildResponsePacket, getBuffer, getHeader, getNewNodeSecret, getNodeSecret, getPacket, getProtocolVersion, getRequestToThisResponse, getResponseMsgType, getResponseSize, getResponseStatus, getTrailer, haveNodeSecret, readResponse, setNodeSecret`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.rsa.ace.techservice.udpserver.AceResponse
`buildResponsePacket, getHeader, getPacket, getProtocolVersion, getResponseMsgType, getResponseSize, getResponseStatus, getTrailer, readResponse`

Constructor Detail

### AceMsgResponse

    public AceMsgResponse(AceDatagram packet,
                          AceRequest request)
                   throws AcePacketException

Parameters:
  `packet` - and request
Throws:
  `AcePacketException`

### AceMsgResponse

    public AceMsgResponse(AceRequest request,
                          int suspKey,
                          byte pinSize,
                          byte prnSize,
                          byte hiOrder,
                          byte releaseCode)
                   throws AcePacketException

  Creates a new instance of an AceMsgResponse packet

  Parameters:
    `request` - The AceRequest to be used to initialize the response.
    `suspKey,` - pinSize, prnSize, hiOrder, releaseCode to be returned in the response.
  Throws:
    `AcePacketException`

Method Detail

### writeResponse

    public void writeResponse(java.nio.ByteBuffer buf)
                       throws AcePacketException

  Write an AceMsgResponse to the internal stream.

  Specified by:
    `writeResponse` in interface `AceResponse`
  Overrides:
    `writeResponse` in class `AbstractAceResponse`
  Parameters:
    `buf` - The byte buffer to which the response is writtem.
  Throws:
    `AcePacketException` - If there is a problem writing the packet fields.

### processResponse

    public void processResponse()

  Process a response packet by reading from the byte-buffer.

  Specified by:
    `processResponse` in interface `AceResponse`
  Overrides:
    `processResponse` in class `AbstractAceResponse`
  Throws:
    `AcePacketException` - If there is a problem reading the packet byte-buffer.

### toString

    public java.lang.String toString()

  Convert the MsgResponse packet to a string.

  Specified by:
    `toString` in interface `AceResponse`
  Overrides:
    `toString` in class `AbstractAceResponse`
  Returns:
    A String representation of the response packet.

### getPinSize

    public byte getPinSize()

  Returns:
    Returns the pinSize.

### getPrnSize

    public byte getPrnSize()

  Returns:
    Returns the prnSize.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.